Explorer
Look up proof-gated account observations
Path Parameters
accountId*string
Checksum-valid Stellar ed25519 account G-address.
Match
^G[A-Z2-7]{55}$Response Body
application/json
curl -X GET "https://example.com/v1/explorer/accounts/string/observations"{ "accountId": "string", "generatedAt": "2019-08-24T14:15:22Z", "interpretation": "historical_observations_not_current_state", "limit": 1, "source": "postgres_proof_gated_lcm_account_changes", "truncated": true, "count": 1, "coverage": { "evidenceSelection": "latest_complete_canonical_lcm_batch", "freshness": { "canonicalCoverageCompletedAt": "2019-08-24T14:15:22Z", "canonicalProofEvaluatedAt": "2019-08-24T14:15:22Z", "latestCoveredLedgerClosedAt": "2019-08-24T14:15:22Z" }, "range": { "batchId": "5579c111-9c50-47e2-af92-f16d52e63189", "firstLedger": "string", "lastLedger": "string", "ledgerCount": 1 } }, "records": [ { "accountFields": { "accountId": "string", "balance": "string", "buyingLiabilities": "string", "flags": "string", "highThreshold": 0, "homeDomain": "string", "inflationDestination": "string", "lowThreshold": 0, "masterWeight": 0, "mediumThreshold": 0, "sequenceLedger": "string", "sequenceNumber": "string", "sequenceTime": "string", "signers": [ { "key": "string", "sponsor": "string", "weight": 0 } ], "sellingLiabilities": "string", "sponsoredEntryCount": "string", "sponsoringEntryCount": "string", "subentryCount": "string" }, "change": { "changeType": 0, "changeTypeString": "string", "lastModifiedLedger": "string", "reason": "fee", "sponsor": "string", "transactionHash": "string" }, "coverage": { "batchId": "5579c111-9c50-47e2-af92-f16d52e63189", "firstLedger": "string", "lastLedger": "string", "ledgerCount": 1 }, "deleted": true, "freshness": { "batchProcessedAt": "2019-08-24T14:15:22Z", "canonicalCoverageCompletedAt": "2019-08-24T14:15:22Z", "canonicalProofEvaluatedAt": "2019-08-24T14:15:22Z", "datasetImportedAt": "2019-08-24T14:15:22Z", "ledgerClosedAt": "2019-08-24T14:15:22Z" }, "position": { "changeIndex": "string", "ledgerSequence": "string", "operationIndex": "string", "transactionIndex": "string", "upgradeIndex": "string" }, "provenance": { "batch": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "dataset": { "importedRowSetSha256": "string", "name": "account-state-changes", "outputSha256": "string", "recordCount": "string", "schemaVersion": "string" }, "manifest": { "sha256": "string" }, "proof": { "canonicalBatchIds": [ "b3faa8fa-86d5-4de3-a165-647dab27c75a" ], "minimumVersion": 6 }, "row": { "ledgerKeySha256": "string", "sha256": "string" } }, "stateSemantics": "observed_post_change_state" } ], "status": "available"}